This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 813827 - socket.error: [Errno 110] Connection timed out
socket.error: [Errno 110] Connection timed out
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
19
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Petr Muller
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-18 10:11 EDT by Michal Nowak
Modified: 2013-06-28 11:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-28 11:23:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Nowak 2012-04-18 10:11:43 EDT
Description of problem:

rlFetchSrcForInstalled may end with "socket.error: [Errno 110] Connection timed out" when remote server is down (as porkchop is now). Full traceback:

:: [09:54:32] :: [ INFO    ] :: rlFetchSrcForInstalled: Installed systemtap version: systemtap-1.7-3.el6.x86_64
Traceback (most recent call last):
  File "/mnt/redhat/scripts/rel-eng/utility/find_package", line 199, in <module>
    main(sys.argv[1:])
  File "/mnt/redhat/scripts/rel-eng/utility/find_package", line 80, in main
    run_remotely(args, src, sig)
  File "/mnt/redhat/scripts/rel-eng/utility/find_package", line 40, in run_remotely
    print server.egs.findPackage(args, src, sig)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1199, in __call__
    return self.__send(self.__name, args)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1489, in __request
    verbose=self.__verbose
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1235, in request
    self.send_content(h, request_body)
  File "/usr/lib64/python2.6/xmlrpclib.py", line 1349, in send_content
    connection.endheaders()
  File "/usr/lib64/python2.6/httplib.py", line 908, in endheaders
    self._send_output()
  File "/usr/lib64/python2.6/httplib.py", line 780, in _send_output
    self.send(msg)
  File "/usr/lib64/python2.6/httplib.py", line 739, in send
    self.connect()
  File "/usr/lib64/python2.6/httplib.py", line 720, in connect
    self.timeout)
  File "/usr/lib64/python2.6/socket.py", line 567, in create_connection
    raise error, msg
socket.error: [Errno 110] Connection timed out


Version-Release number of selected component (if applicable):

beakerlib-1.3-7.el6.noarch

Expected results:

Catch exception.
Comment 2 Fedora End Of Life 2013-04-03 15:56:51 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 3 Petr Muller 2013-06-28 11:23:10 EDT
Seems like a a problem in rel-eng scripts long time a go. Seems to work now.

Note You need to log in before you can comment on or make changes to this bug.